[arch-commits] Commit in (5 files)

Tobias Powalowski tpowa at archlinux.org
Mon Jun 15 15:33:36 EDT 2009


    Date: Monday, June 15, 2009 @ 15:33:36
  Author: tpowa
Revision: 42545

'add as depend for rpcbind'

Added:
  libtirpc/
  libtirpc/repos/
  libtirpc/trunk/
  libtirpc/trunk/PKGBUILD
  libtirpc/trunk/libtirpc-0.2.0-no-gss.patch

-----------------------------+
 PKGBUILD                    |   26 ++++++++++++++++++++++++++
 libtirpc-0.2.0-no-gss.patch |   13 +++++++++++++
 2 files changed, 39 insertions(+)

Added: libtirpc/trunk/PKGBUILD
===================================================================
--- libtirpc/trunk/PKGBUILD	                        (rev 0)
+++ libtirpc/trunk/PKGBUILD	2009-06-15 19:33:36 UTC (rev 42545)
@@ -0,0 +1,26 @@
+# $Id$
+# Maintainer: Tobias Powalowski <tpowa at archlinux.org>
+pkgname=libtirpc
+pkgver=0.2.0
+pkgrel=1
+pkgdesc="Transport Independent RPC library (SunRPC replacement)"
+arch=(i686 x86_64)
+depends=('glibc')
+url="http://libtirpc.sourceforge.net/"
+license=('GPL2')
+source=(http://dl.sourceforge.net/sourceforge/libtirpc/$pkgname-$pkgver.tar.bz2
+        libtirpc-0.2.0-no-gss.patch)
+backup=('etc/netconfig')
+options=(!libtool)
+md5sums=('b3b513a8825aa227deac63ea38c64f41'
+         'ca3a559764f3898baebf86b2ee5fd75f')
+
+build() {
+  cd $srcdir/$pkgname-$pkgver
+  patch -Np0 -i ../libtirpc-0.2.0-no-gss.patch || return 1
+  ./configure --prefix=/usr 
+  make || return 1
+  make DESTDIR=$pkgdir install || return 1
+  # install netconfig
+  install -D -m644 doc/etc_netconfig $pkgdir/etc/netconfig
+}

Added: libtirpc/trunk/libtirpc-0.2.0-no-gss.patch
===================================================================
--- libtirpc/trunk/libtirpc-0.2.0-no-gss.patch	                        (rev 0)
+++ libtirpc/trunk/libtirpc-0.2.0-no-gss.patch	2009-06-15 19:33:36 UTC (rev 42545)
@@ -0,0 +1,13 @@
+if gss is disabled, then svc_auth_gss_ops won't be available
+
+--- src/svc.c
++++ src/svc.c
+@@ -77,7 +77,7 @@
+ 
+ extern rwlock_t svc_lock;
+ extern rwlock_t svc_fd_lock;
+-extern struct svc_auth_ops svc_auth_gss_ops;
++extern struct svc_auth_ops svc_auth_gss_ops __attribute__((weak));
+ 
+ static struct svc_callout *svc_find (rpcprog_t, rpcvers_t,
+ 				     struct svc_callout **, char *);



More information about the arch-commits mailing list